## black-plastic-theme 2.191

=== debian/changelog ===
black-plastic-theme (2.191) stable; urgency=low

  * removed auto reboot -option from Plastic Setup application

 -- D-Iivil <ricky@hevikaraoke.fi>  Wed, 7 Jul 2010 13:14:21 +0200

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

PKGNAME := black-plastic-theme

HAVE_TEMPLATES = `test -f applications/startup-wizard/template.png \
                 -a -f template/template.png`

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

config.status:
	dh_testdir
	# Add here commands to configure the package.
	CFLAGS="$(CFLAGS)" ./autogen.sh --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info --with-doc-dir=\$${prefix}/share/doc

build: build-stamp
build-stamp: config.status
	dh_testdir
	# Add here commands to compile the package.
	if $(HAVE_TEMPLATES); then $(MAKE); fi
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 
	rm -f install-stamp
	rm -f debian/files
	# Add here commands to clean up after the build process.
	-$(MAKE) maintainer-clean
	rm -rf debian/$(PKGNAME)
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs
	# Add here commands to install the package into debian/build
	if $(HAVE_TEMPLATES); then \
	  $(MAKE) install DESTDIR=$(CURDIR)/debian/$(PKGNAME); \
	fi

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs debian/changelog
	dh_installdocs
	dh_link
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	cp -rf $(CURDIR)/applications/icons/ $(CURDIR)/debian/$(PKGNAME)/usr/share/icons/
	cp -rf $(CURDIR)/applications/transitions/*  $(CURDIR)/debian/$(PKGNAME)/usr/share/themes/blackplastictheme-themedir/
	cp -rf $(CURDIR)/applications/gtk/* $(CURDIR)/debian/$(PKGNAME)/usr/share/themes/blackplastictheme-themedir/gtk-2.0/
	cp -rf $(CURDIR)/applications/variations/defaults/* $(CURDIR)/debian/$(PKGNAME)/usr/share/themes/blackplastictheme-themedir/
	cp -rf $(CURDIR)/applications/variations  $(CURDIR)/debian/$(PKGNAME)/usr/share/themes/blackplastictheme-themedir/
	mkdir -p $(CURDIR)/debian/$(PKGNAME)/sbin/
	cp -rf $(CURDIR)/applications/sbin/launchblack $(CURDIR)/debian/$(PKGNAME)/sbin/launchblack
	cp -rf $(CURDIR)/applications/sbin/setupblackplastic $(CURDIR)/debian/$(PKGNAME)/sbin/setupblackplastic
	mkdir -p $(CURDIR)/debian/$(PKGNAME)/opt/rx/
	cp -rf $(CURDIR)/applications/bin/setupblackplastic $(CURDIR)/debian/$(PKGNAME)/opt/rx/setupblackplastic
	mkdir -p $(CURDIR)/debian/$(PKGNAME)/etc/sudoers.d/
	cp -rf $(CURDIR)/applications/etc/sudoers.d/setupblackplastic.sudoers $(CURDIR)/debian/$(PKGNAME)/etc/sudoers.d/setupblackplastic.sudoers
	mkdir -p $(CURDIR)/debian/$(PKGNAME)/usr/share/icons/hicolor/48x48/hildon/
	cp -rf $(CURDIR)/applications/icon/blackplastic.png $(CURDIR)/debian/$(PKGNAME)/usr/share/icons/hicolor/48x48/hildon/blackplastic.png
	mkdir -p $(CURDIR)/debian/$(PKGNAME)/usr/share/applications/hildon-control-panel/
	cp -rf $(CURDIR)/applications/desktop/plastic-theme-ui.desktop $(CURDIR)/debian/$(PKGNAME)/usr/share/applications/hildon-control-panel/plastic-theme-ui.desktop
	mkdir -p $(CURDIR)/debian/$(PKGNAME)/usr/lib/hildon-control-panel/
	cp -rf $(CURDIR)/applications/desktop/libplastictheme-cploader.so $(CURDIR)/debian/$(PKGNAME)/usr/lib/hildon-control-panel/libplastictheme-cploader.so
#	cp -rf $(CURDIR)/applications/setup  $(CURDIR)/debian/$(PKGNAME)/usr/share/themes/blackplastictheme-themedir/
#	maemo-optify $(PKGNAME)
	dh_md5sums
	dh_builddeb
	

# Build architecture-dependent files here.
binary-arch: build install
	# Make sure that dpkg-genchanges will not fail,
	# but there is nothing else to do.
	touch debian/files

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## black-plastic-theme 2.192

=== debian/changelog ===
black-plastic-theme (2.192) stable; urgency=low

  * fixed small bug in setup script which caused Black scheme not be customizable
  * fixed small graphical bug in battery icon
  * added back the auto-reboot option
  * moved Plastic Setup icon under personalisation category in phone's settings

 -- D-Iivil <ricky@hevikaraoke.fi>  Wed, 7 Jul 2010 13:14:21 +0200

=== debian/control ===
Source: black-plastic-theme
Section: user/system
Priority: optional
Maintainer: D-Iivil <ricky@hevikaraoke.fi>
Build-Depends: debhelper (>= 4.0.0), hildon-theme-layout-5 (>= 0.15.0), hildon-theme-layout-5 (< 0.16.0), hildon-theme-tools, imagemagick
Standards-Version: 3.6.0

Package: black-plastic-theme
Architecture: all
Depends: gtk2-engines-sapwood (>= 3.1.1), hildon-theme-cacher (>= 0.3.0), ttf-droid, libc6 (>= 2.5.0-1), libgcc1 (>= 1:4.2.1), libqt4-core (>= 4.6.2~git20100401), libqt4-gui (>= 4.6.2~git20100401), libstdc++6 (>= 4.2.1)
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAGXRFWHRTb2Z0d2FyZQBBZG9iZSBJ
 bWFnZVJlYWR5ccllPAAABkJJREFUeNrsWVtMlEcUPvuz63KxXFpwkSWmBkxALJoaowErmn2wbwXl
 CUWDCSHwqI0GmjQlJmoF2gcTqK8aX5pYkD4Qg41NCbcYabgkQIKagkRA7vddlt2eb9z5+++66642
 hSXdk0z+mflnZ853zjcz5/yrczqdtJVFoS0uIQAhAP93APrvb9z4B42iUGRkJMXExFBERES0Qa/P
 cDidn/NJtY1fb/hxpdPpHFyGeP3ulZWV0eXlZZqbm6Op6WlyOBx0/fp10nt1i6J8vO5wXFienz/F
 PzJzPWxT6KHTOcONxpnIqKg/WKefGEzfWx7gTvcOvf6L2bm5upcvX2ZMTk2RfW1t0+iBOyosLCyZ
 GfFZstlcGBMd/R3r+6ObvjabTW0YDIYT7J764eHhGLgLlPIEuNFiX1+nyclJmpmZiTYnJf3AYKLZ
 M5UOCWCa+ST4pigJRqOxdmJiIob5BuSCZ8Eia8yEv4aHKdFk+lZvMLSxYZsFgDW7/Q0AoqLFxcW0
 paUlYXW7qz+YBJR6PTmpMJXKV6zW34FLP8U85xcRbP2vrFarUHyzafMuAbWZGTk2qzWdmz160IUl
 jjv3rTPfgok2PveF3a6w0fcJAFCaZRtbPxou8hWdWiwW2r17t9p+8uQJDQwMUGFhoWjfvXuX4MGj
 R49SWlqa6BsdHaWmpiZRR9+hQ4eIPS3G9fT0UHd3N8XHx1Nubq7owxxyHbzDGu+QHW/2QIDHpKdn
 MjMzqbe3122T7dmzR1UeYjabRR+UPnLkiNqPNsDAeHxcq/2xsbFC+fn5eWpra/N7CYu7ApwPpEjP
 YGLchi5Xat1K27dvF/WnT5/S0NCQPJopPT1d/e2tW7fEewj6XQwQcuDAAfHs6+sLRCfnB3kgOTlZ
 hBqggCcAOebgwYMqSCiI8ZAXL14IT3V2doqx8IScAwbC3JD+/n4KVC8FAwMpUjn5BIVAESm4N7TW
 lB7D+NnZWRU85srIyBAU2rVrl5sRsKcgeB+ITh9EIe0mBz2kcufPn1fftbe306tXr1QPdHV1iXpO
 Tg5duXJFPCHo14KW40AlDmn86vSvADx//lycEs3NzbS6uurmHTy1HmhpaaFHjx6p4/BEG/1aD4yM
 jAjg4eHhdPz48YAA6EAFlk9B0S2WCnzNR22NPhhDhvdKaAYHB7c2AO0mCuXEm+EBfwMuX75M2dnZ
 xKE21dbWihjl3r174t2ZM2fUMfv37xf1O3fu0P37991+602ePXtGra2tdO7cOfG8efOmuMm1c2Et
 rDk2NvZhHsDkUgFMXlZW5nWMXFC2ExMT6fTp0z6V9yU1NTVuc6FeWVnpL2/Wka8iYxNYAR4ACNnn
 +mpAqampol5VVSXGSLAyLoIVEW2iwNLSS5cuXXJT5OTJkwL4+Pg4nT17lkpKSkQdfXjnTT9BIeS9
 /gQhslSIU063zzBSSktL3fpx0UFSUlJo586dQhm5KJ7afBtPjJHUQtKCUl9fTyaTSYz1paeCU8jf
 F2ppWcTrUERKVFSUz98g8pRey8rK8mskOS8ASw/m5eWJ4k3k6akgwMLHLGkVbZEWQmyTn59PDx48
 EJaRi1VXV6tjbt++7WZRgNV6zdPinm2sgXlhcVAMBXX0Iezw1AvhhgDQ2NiIyNCJ+Nobx+QC2oJT
 CMm/x1c0r/WGhgbq6OjwOZ8217169aoI06Wgjj7P9RE9HDt2THwP0iEn5gTDxBFiN0eApmBO6KUg
 GORg79Tjx4/r9XAFnySLnFz8yXvhy60AgGWpqKioX94DCifWy8XFxb/AG5JjwVqQyOzdu/dXvmdG
 JAAHZ1NhFy9ebOAE/DdwO1hBILdgANMVFRW1fAKuam/idU7vZuvq6r6Ji4sbkBs0mIDA8syQhfLy
 8oqCgoIuz1ACF4HdYrH0PXz48MLhw4cbeaOs4POGNrvaaMHaoPXCwoIzKSmph4/tsmvXrv3MgKww
 ujiFPJTDDjZardYdfFSe4JTRwiljMk8Qa7PZIviHG4aE11rne2SW46HXfBF2cozVxCBwva9I5b0B
 0Eap+FcmknPUT1j5j/jm27ZRJxR0AgCDwbCUkJAwzSfkAnfD6ra3gL6DHjoXEJQwV3sjz1gohq8E
 yHnXXHV6HwChjCwEIAQgBOC/l78FGADAZx5KXjjZ4QAAAABJRU5ErkJggg==
Description:  Dark theme PACKAGE for N900. 
 This package includes Black Plastic theme with bundled color scheme selector (you can choose from phone's settings what color scheme you want to use). 
 Includes also bunch of custom icons and optional window transitions.
 Credits for some icons: D4rKlar, credits for transitions: MohammadAG, credits for folder icons: Ben Fleming
 For more information head to: http://talk.maemo.org/showthread.php?t=57456
XSBC-Bugtracker: mailto:ricky@hevikaraoke.fi
XSBC-Maemo-Display-Name: Black Plastic Theme Pack

## black-plastic-theme 2.193

=== debian/changelog ===
black-plastic-theme (2.193) stable; urgency=low

  * this time hopefully fully fixed small bug in setup script which caused Black scheme not be fully customizable

 -- D-Iivil <ricky@hevikaraoke.fi>  Wed, 7 Jul 2010 13:14:21 +0200

=== debian/rules ===
--- 
+++ 
@@ -89,7 +89,7 @@
 	mkdir -p $(CURDIR)/debian/$(PKGNAME)/usr/share/applications/hildon-control-panel/
 	cp -rf $(CURDIR)/applications/desktop/plastic-theme-ui.desktop $(CURDIR)/debian/$(PKGNAME)/usr/share/applications/hildon-control-panel/plastic-theme-ui.desktop
 	mkdir -p $(CURDIR)/debian/$(PKGNAME)/usr/lib/hildon-control-panel/
-	cp -rf $(CURDIR)/applications/desktop/libplastictheme-cploader.so $(CURDIR)/debian/$(PKGNAME)/usr/lib/hildon-control-panel/libplastictheme-cploader.so
+	cp -rf $(CURDIR)/applications/desktop/libplastic-theme-ui.so $(CURDIR)/debian/$(PKGNAME)/usr/lib/hildon-control-panel/libplastic-theme-ui.so
 #	cp -rf $(CURDIR)/applications/setup  $(CURDIR)/debian/$(PKGNAME)/usr/share/themes/blackplastictheme-themedir/
 #	maemo-optify $(PKGNAME)
 	dh_md5sums

## black-plastic-theme 2.200

=== debian/changelog ===
black-plastic-theme (2.200) stable; urgency=low

  * font selector now allows to use all types of fonts

 -- D-Iivil <ricky@hevikaraoke.fi>  Wed, 7 Jul 2010 13:14:21 +0200

## black-plastic-theme 2.201

=== debian/changelog ===
black-plastic-theme (2.201) stable; urgency=low

  * prepared the Plastic Theme Setup to be compatible with future addon packs

 -- D-Iivil <ricky@hevikaraoke.fi>  Wed, 7 Jul 2010 13:14:21 +0200

=== debian/control ===
--- 
+++ 
@@ -39,11 +39,11 @@
  ujiFPJTDDjZardYdfFSe4JTRwiljMk8Qa7PZIviHG4aE11rne2SW46HXfBF2cozVxCBwva9I5b0B
  0Eap+FcmknPUT1j5j/jm27ZRJxR0AgCDwbCUkJAwzSfkAnfD6ra3gL6DHjoXEJQwV3sjz1gohq8E
  yHnXXHV6HwChjCwEIAQgBOC/l78FGADAZx5KXjjZ4QAAAABJRU5ErkJggg==
-Description:  Dark theme PACKAGE for N900. 
- This package includes Black Plastic theme with bundled color scheme selector (you can choose from phone's settings what color scheme you want to use). 
- Includes also bunch of custom icons and optional window transitions.
+Description:  Customizable theme PACKAGE for N900. 
+ This package includes bunch of themes which can be customized for your needs (you can choose from phone's settings what color scheme you want to use, what font you want to use and choose between standard vs. custom transitions). 
+ Includes also bunch of custom icons.
  Credits for some icons: D4rKlar, credits for transitions: MohammadAG, credits for folder icons: Ben Fleming
  For more information head to: http://talk.maemo.org/showthread.php?t=57456
 XSBC-Bugtracker: mailto:ricky@hevikaraoke.fi
-XSBC-Maemo-Display-Name: Black Plastic Theme Pack
+XSBC-Maemo-Display-Name: Plastic Theme Pack

## black-plastic-theme 2.202

=== debian/changelog ===
black-plastic-theme (2.202) stable; urgency=low

  * modified the uninstall-script not to remove plastic-addond-pack's files

 -- D-Iivil <ricky@hevikaraoke.fi>  Wed, 7 Jul 2010 13:14:21 +0200

=== debian/rules ===
--- 
+++ 
@@ -71,11 +71,10 @@
 	dh_compress
 	dh_fixperms
 	dh_installdeb
-	dh_gencontrol
 	cp -rf $(CURDIR)/applications/icons/ $(CURDIR)/debian/$(PKGNAME)/usr/share/icons/
 	cp -rf $(CURDIR)/applications/transitions/*  $(CURDIR)/debian/$(PKGNAME)/usr/share/themes/blackplastictheme-themedir/
 	cp -rf $(CURDIR)/applications/gtk/* $(CURDIR)/debian/$(PKGNAME)/usr/share/themes/blackplastictheme-themedir/gtk-2.0/
-	cp -rf $(CURDIR)/applications/variations/defaults/* $(CURDIR)/debian/$(PKGNAME)/usr/share/themes/blackplastictheme-themedir/
+	cp -rf $(CURDIR)/applications/defaults/* $(CURDIR)/debian/$(PKGNAME)/usr/share/themes/blackplastictheme-themedir/
 	cp -rf $(CURDIR)/applications/variations  $(CURDIR)/debian/$(PKGNAME)/usr/share/themes/blackplastictheme-themedir/
 	mkdir -p $(CURDIR)/debian/$(PKGNAME)/sbin/
 	cp -rf $(CURDIR)/applications/sbin/launchblack $(CURDIR)/debian/$(PKGNAME)/sbin/launchblack
@@ -90,8 +89,7 @@
 	cp -rf $(CURDIR)/applications/desktop/plastic-theme-ui.desktop $(CURDIR)/debian/$(PKGNAME)/usr/share/applications/hildon-control-panel/plastic-theme-ui.desktop
 	mkdir -p $(CURDIR)/debian/$(PKGNAME)/usr/lib/hildon-control-panel/
 	cp -rf $(CURDIR)/applications/desktop/libplastic-theme-ui.so $(CURDIR)/debian/$(PKGNAME)/usr/lib/hildon-control-panel/libplastic-theme-ui.so
-#	cp -rf $(CURDIR)/applications/setup  $(CURDIR)/debian/$(PKGNAME)/usr/share/themes/blackplastictheme-themedir/
-#	maemo-optify $(PKGNAME)
+	dh_gencontrol
 	dh_md5sums
 	dh_builddeb

## black-plastic-theme 2.203

=== debian/changelog ===
black-plastic-theme (2.203) stable; urgency=low

  * fixed background changing issues
  * moved most of schemes into separate addon-pack (plastic-addon-pack-1)

 -- D-Iivil <ricky@hevikaraoke.fi>  Wed, 7 Jul 2010 13:14:21 +0200
 

=== debian/rules ===
--- 
+++ 
@@ -74,7 +74,7 @@
 	cp -rf $(CURDIR)/applications/icons/ $(CURDIR)/debian/$(PKGNAME)/usr/share/icons/
 	cp -rf $(CURDIR)/applications/transitions/*  $(CURDIR)/debian/$(PKGNAME)/usr/share/themes/blackplastictheme-themedir/
 	cp -rf $(CURDIR)/applications/gtk/* $(CURDIR)/debian/$(PKGNAME)/usr/share/themes/blackplastictheme-themedir/gtk-2.0/
-	cp -rf $(CURDIR)/applications/defaults/* $(CURDIR)/debian/$(PKGNAME)/usr/share/themes/blackplastictheme-themedir/
+	cp -rf $(CURDIR)/applications/defaults $(CURDIR)/debian/$(PKGNAME)/usr/share/themes/blackplastictheme-themedir/
 	cp -rf $(CURDIR)/applications/variations  $(CURDIR)/debian/$(PKGNAME)/usr/share/themes/blackplastictheme-themedir/
 	mkdir -p $(CURDIR)/debian/$(PKGNAME)/sbin/
 	cp -rf $(CURDIR)/applications/sbin/launchblack $(CURDIR)/debian/$(PKGNAME)/sbin/launchblack
@@ -89,6 +89,14 @@
 	cp -rf $(CURDIR)/applications/desktop/plastic-theme-ui.desktop $(CURDIR)/debian/$(PKGNAME)/usr/share/applications/hildon-control-panel/plastic-theme-ui.desktop
 	mkdir -p $(CURDIR)/debian/$(PKGNAME)/usr/lib/hildon-control-panel/
 	cp -rf $(CURDIR)/applications/desktop/libplastic-theme-ui.so $(CURDIR)/debian/$(PKGNAME)/usr/lib/hildon-control-panel/libplastic-theme-ui.so
+	cp -rf $(CURDIR)/debian/$(PKGNAME)/usr/share/themes/blackplastictheme-themedir/css  $(CURDIR)/debian/$(PKGNAME)/usr/share/themes/blackplastictheme-themedir/variations/Black/
+	cp -rf $(CURDIR)/debian/$(PKGNAME)/usr/share/themes/blackplastictheme-themedir/gtk-2.0  $(CURDIR)/debian/$(PKGNAME)/usr/share/themes/blackplastictheme-themedir/variations/Black/
+	cp -rf $(CURDIR)/debian/$(PKGNAME)/usr/share/themes/blackplastictheme-themedir/images  $(CURDIR)/debian/$(PKGNAME)/usr/share/themes/blackplastictheme-themedir/variations/Black/
+	cp -rf $(CURDIR)/debian/$(PKGNAME)/usr/share/themes/blackplastictheme-themedir/colors.config  $(CURDIR)/debian/$(PKGNAME)/usr/share/themes/blackplastictheme-themedir/variations/Black/
+	cp -rf $(CURDIR)/debian/$(PKGNAME)/usr/share/themes/blackplastictheme-themedir/transitions.tmp $(CURDIR)/debian/$(PKGNAME)/usr/share/themes/blackplastictheme-themedir/transitions.ini
+	cp -rf $(CURDIR)/debian/$(PKGNAME)/usr/share/themes/blackplastictheme-themedir/backgrounds $(CURDIR)/debian/$(PKGNAME)/usr/share/themes/blackplastictheme-themedir/defaults/
+	cp -rf $(CURDIR)/debian/$(PKGNAME)/usr/share/themes/blackplastictheme-themedir/mediaplayer $(CURDIR)/debian/$(PKGNAME)/usr/share/themes/blackplastictheme-themedir/defaults/
+	cp -rf $(CURDIR)/debian/$(PKGNAME)/usr/share/themes/blackplastictheme-themedir/calendar $(CURDIR)/debian/$(PKGNAME)/usr/share/themes/blackplastictheme-themedir/defaults/
 	dh_gencontrol
 	dh_md5sums
 	dh_builddeb

## black-plastic-theme 2.204

=== debian/changelog ===
black-plastic-theme (2.204) stable; urgency=low

  * optimized the package
  * optimized setup script, applying settings takes now 50% less time

 -- D-Iivil <ricky@hevikaraoke.fi>  Wed, 7 Jul 2010 13:14:21 +0200

=== debian/control ===
--- 
+++ 
@@ -39,11 +39,12 @@
  ujiFPJTDDjZardYdfFSe4JTRwiljMk8Qa7PZIviHG4aE11rne2SW46HXfBF2cozVxCBwva9I5b0B
  0Eap+FcmknPUT1j5j/jm27ZRJxR0AgCDwbCUkJAwzSfkAnfD6ra3gL6DHjoXEJQwV3sjz1gohq8E
  yHnXXHV6HwChjCwEIAQgBOC/l78FGADAZx5KXjjZ4QAAAABJRU5ErkJggg==
-Description:  Customizable theme PACKAGE for N900. 
- This package includes bunch of themes which can be customized for your needs (you can choose from phone's settings what color scheme you want to use, what font you want to use and choose between standard vs. custom transitions). 
+Description:  Highly customizable theme for N900. 
+ This package includes theme which can be customized for your needs (you can choose from phone's settings what color scheme you want to use, what font you want to use and choose between standard vs. custom transitions). 
  Includes also bunch of custom icons.
  Credits for some icons: D4rKlar, credits for transitions: MohammadAG, credits for folder icons: Ben Fleming
  For more information head to: http://talk.maemo.org/showthread.php?t=57456
+XB-Maemo-Upgrade-Description: This package includes base package with customizable Black scheme. Get more schemes by installing Plastic Addond Packs.
 XSBC-Bugtracker: mailto:ricky@hevikaraoke.fi
 XSBC-Maemo-Display-Name: Plastic Theme Pack

=== debian/rules ===
--- 
+++ 
@@ -75,7 +75,6 @@
 	cp -rf $(CURDIR)/applications/transitions/*  $(CURDIR)/debian/$(PKGNAME)/usr/share/themes/blackplastictheme-themedir/
 	cp -rf $(CURDIR)/applications/gtk/* $(CURDIR)/debian/$(PKGNAME)/usr/share/themes/blackplastictheme-themedir/gtk-2.0/
 	cp -rf $(CURDIR)/applications/defaults $(CURDIR)/debian/$(PKGNAME)/usr/share/themes/blackplastictheme-themedir/
-	cp -rf $(CURDIR)/applications/variations  $(CURDIR)/debian/$(PKGNAME)/usr/share/themes/blackplastictheme-themedir/
 	mkdir -p $(CURDIR)/debian/$(PKGNAME)/sbin/
 	cp -rf $(CURDIR)/applications/sbin/launchblack $(CURDIR)/debian/$(PKGNAME)/sbin/launchblack
 	cp -rf $(CURDIR)/applications/sbin/setupblackplastic $(CURDIR)/debian/$(PKGNAME)/sbin/setupblackplastic
@@ -89,14 +88,6 @@
 	cp -rf $(CURDIR)/applications/desktop/plastic-theme-ui.desktop $(CURDIR)/debian/$(PKGNAME)/usr/share/applications/hildon-control-panel/plastic-theme-ui.desktop
 	mkdir -p $(CURDIR)/debian/$(PKGNAME)/usr/lib/hildon-control-panel/
 	cp -rf $(CURDIR)/applications/desktop/libplastic-theme-ui.so $(CURDIR)/debian/$(PKGNAME)/usr/lib/hildon-control-panel/libplastic-theme-ui.so
-	cp -rf $(CURDIR)/debian/$(PKGNAME)/usr/share/themes/blackplastictheme-themedir/css  $(CURDIR)/debian/$(PKGNAME)/usr/share/themes/blackplastictheme-themedir/variations/Black/
-	cp -rf $(CURDIR)/debian/$(PKGNAME)/usr/share/themes/blackplastictheme-themedir/gtk-2.0  $(CURDIR)/debian/$(PKGNAME)/usr/share/themes/blackplastictheme-themedir/variations/Black/
-	cp -rf $(CURDIR)/debian/$(PKGNAME)/usr/share/themes/blackplastictheme-themedir/images  $(CURDIR)/debian/$(PKGNAME)/usr/share/themes/blackplastictheme-themedir/variations/Black/
-	cp -rf $(CURDIR)/debian/$(PKGNAME)/usr/share/themes/blackplastictheme-themedir/colors.config  $(CURDIR)/debian/$(PKGNAME)/usr/share/themes/blackplastictheme-themedir/variations/Black/
-	cp -rf $(CURDIR)/debian/$(PKGNAME)/usr/share/themes/blackplastictheme-themedir/transitions.tmp $(CURDIR)/debian/$(PKGNAME)/usr/share/themes/blackplastictheme-themedir/transitions.ini
-	cp -rf $(CURDIR)/debian/$(PKGNAME)/usr/share/themes/blackplastictheme-themedir/backgrounds $(CURDIR)/debian/$(PKGNAME)/usr/share/themes/blackplastictheme-themedir/defaults/
-	cp -rf $(CURDIR)/debian/$(PKGNAME)/usr/share/themes/blackplastictheme-themedir/mediaplayer $(CURDIR)/debian/$(PKGNAME)/usr/share/themes/blackplastictheme-themedir/defaults/
-	cp -rf $(CURDIR)/debian/$(PKGNAME)/usr/share/themes/blackplastictheme-themedir/calendar $(CURDIR)/debian/$(PKGNAME)/usr/share/themes/blackplastictheme-themedir/defaults/
 	dh_gencontrol
 	dh_md5sums
 	dh_builddeb

## black-plastic-theme 2.205

=== debian/changelog ===
black-plastic-theme (2.205) stable; urgency=low

  * again moving schemes between packages...

 -- D-Iivil <ricky@hevikaraoke.fi>  Wed, 7 Jul 2010 13:14:21 +0200

=== debian/control ===
--- 
+++ 
@@ -44,7 +44,6 @@
  Includes also bunch of custom icons.
  Credits for some icons: D4rKlar, credits for transitions: MohammadAG, credits for folder icons: Ben Fleming
  For more information head to: http://talk.maemo.org/showthread.php?t=57456
-XB-Maemo-Upgrade-Description: This package includes base package with customizable Black scheme. Get more schemes by installing Plastic Addond Packs.
 XSBC-Bugtracker: mailto:ricky@hevikaraoke.fi
 XSBC-Maemo-Display-Name: Plastic Theme Pack

## black-plastic-theme 2.206

=== debian/changelog ===
black-plastic-theme (2.206) stable; urgency=low

  * dekstop editing mode is now brighter, it's easier to align icons etc.

 -- D-Iivil <ricky@hevikaraoke.fi>  Wed, 7 Jul 2010 13:14:21 +0200

## black-plastic-theme 2.207

=== debian/changelog ===
black-plastic-theme (2.207) stable; urgency=low

  * added one missing IM icon

 -- D-Iivil <ricky@hevikaraoke.fi>  Wed, 7 Jul 2010 13:14:21 +0200

=== debian/rules ===
--- 
+++ 
@@ -72,6 +72,8 @@
 	dh_fixperms
 	dh_installdeb
 	cp -rf $(CURDIR)/applications/icons/ $(CURDIR)/debian/$(PKGNAME)/usr/share/icons/
+	mkdir -p $(CURDIR)/debian/$(PKGNAME)/opt/plastic-schemes/
+	cp -rf $(CURDIR)/applications/variations/* $(CURDIR)/debian/$(PKGNAME)/opt/plastic-schemes/
 	cp -rf $(CURDIR)/applications/transitions/*  $(CURDIR)/debian/$(PKGNAME)/usr/share/themes/blackplastictheme-themedir/
 	cp -rf $(CURDIR)/applications/gtk/* $(CURDIR)/debian/$(PKGNAME)/usr/share/themes/blackplastictheme-themedir/gtk-2.0/
 	cp -rf $(CURDIR)/applications/defaults $(CURDIR)/debian/$(PKGNAME)/usr/share/themes/blackplastictheme-themedir/

## black-plastic-theme 2.208

=== debian/changelog ===
black-plastic-theme (2.208) stable; urgency=low

  * fixed some corrupted image-files

 -- D-Iivil <ricky@hevikaraoke.fi>  Wed, 7 Jul 2010 13:14:21 +0200

## black-plastic-theme 2.209

=== debian/changelog ===
black-plastic-theme (2.209) stable; urgency=low

  * added option for background images to Plastic Setup

 -- D-Iivil <ricky@hevikaraoke.fi>  Wed, 7 Jul 2010 13:14:21 +0200

## black-plastic-theme 2.210

=== debian/changelog ===
black-plastic-theme (2.210) stable; urgency=low

  * tuned transitions to support app folders in app menu

 -- D-Iivil <ricky@hevikaraoke.fi>  Wed, 7 Jul 2010 13:14:21 +0200

## black-plastic-theme 2.300

=== debian/changelog ===
black-plastic-theme (2.300) stable; urgency=low

  * added option to set the snap-to-grid amount
  * added option to hide or show icon backgrounds at homescreen

 -- D-Iivil <ricky@hevikaraoke.fi>  Mon, 02 Aug 2010 23:27:35 -0700 

## black-plastic-theme 2.301

=== debian/changelog ===
black-plastic-theme (2.301) stable; urgency=low

  * just small tweaking on Plastic Setup program

 -- D-Iivil <ricky@hevikaraoke.fi>  Mon, 02 Aug 2010 23:27:35 -0700 

## black-plastic-theme 2.302

=== debian/changelog ===
black-plastic-theme (2.302) stable; urgency=low

  * added option to change font sizes

 -- D-Iivil <ricky@hevikaraoke.fi>  Wed, 04 Aug 2010 23:30:40 -0700 

## black-plastic-theme 2.303

=== debian/changelog ===
black-plastic-theme (2.303) stable; urgency=low

  * added option to choose between default and custom icons 
  
 -- D-Iivil <ricky@hevikaraoke.fi>  Wed, 04 Aug 2010 23:30:40 -0700 

## black-plastic-theme 2.304

=== debian/changelog ===
black-plastic-theme (2.304) stable; urgency=low

  * changed the font size changing behaviour
  
 -- D-Iivil <ricky@hevikaraoke.fi>  Wed, 04 Aug 2010 23:30:40 -0700 

## black-plastic-theme 2.305

=== debian/changelog ===
black-plastic-theme (2.305) stable; urgency=low

  * font size changer changes also now font sizes at conversations
  
 -- D-Iivil <ricky@hevikaraoke.fi>  Mon, 09 Aug 2010 04:05:30 -0700 

## black-plastic-theme 2.306

=== debian/changelog ===
black-plastic-theme (2.306) stable; urgency=low

  * just changed the package description
  
 -- D-Iivil <ricky@hevikaraoke.fi>  Mon, 09 Aug 2010 04:05:30 -0700 

## black-plastic-theme 2.307

=== applications/plastic-setup-source/Makefile ===
#############################################################################
# Makefile for building: setupblackplastic
# Generated by qmake (2.01a) (Qt 4.6.2) on: ma 23. elo 13:16:40 2010
# Project:  setupblackplastic.pro
# Template: app
# Command: c:/nokiaqtsdk/maemo/4.6.2/targets/fremantle-pr12/bin/qmake.exe -spec ../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/default -unix -o Makefile setupblackplastic.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_GL_NO_SCISSOR_TEST -DQT_DEFAULT_TEXTURE_GLYPH_CACHE_WIDTH=1024 -DQT_NO_DEBUG -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/default -I. -I../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/include/QtCore -I../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/include/QtGui -I../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/include -I/usr/include -I. -I.
LINK          = g++
LFLAGS        = -Wl,-rpath-link,/usr/lib -Wl,-O1 -Wl,--hash-style=gnu -Wl,-rpath,C:/usr/lib -Wl,-rpath,C:/usr/lib
LIBS          = $(SUBLIBS)  -LC:/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/lib -L/usr/lib -lQtGui -L/usr/X11R6/lib -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = c:/nokiaqtsdk/maemo/4.6.2/targets/fremantle-pr12/bin/qmake.exe
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = main.cpp \
		mainwindow.cpp moc_mainwindow.cpp
OBJECTS       = main.o \
		mainwindow.o \
		moc_mainwindow.o
DIST          = ../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/common/unix.conf \
		../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/common/linux.conf \
		../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/qconfig.pri \
		../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/qt_functions.prf \
		../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/qt_config.prf \
		../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/default_pre.prf \
		../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/release.prf \
		../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/default_post.prf \
		../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/mobility.prf \
		../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/warn_on.prf \
		../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/qt.prf \
		../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/unix/thread.prf \
		../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/moc.prf \
		../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/resources.prf \
		../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/uic.prf \
		../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/yacc.prf \
		../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/lex.prf \
		../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		setupblackplastic.pro
QMAKE_TARGET  = setupblackplastic
DESTDIR       = 
TARGET        = setupblackplastic

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET): ui_mainwindow.h $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: setupblackplastic.pro  ../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/default/qmake.conf ../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/common/unix.conf \
		../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/common/linux.conf \
		../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/qconfig.pri \
		../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/qt_functions.prf \
		../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/qt_config.prf \
		../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/default_pre.prf \
		../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/release.prf \
		../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/default_post.prf \
		../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/mobility.prf \
		../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/warn_on.prf \
		../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/qt.prf \
		../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/unix/thread.prf \
		../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/moc.prf \
		../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/resources.prf \
		../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/uic.prf \
		../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/yacc.prf \
		../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/lex.prf \
		../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		c:/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/lib/libQtGui.prl \
		c:/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/lib/libQtCore.prl
	$(QMAKE) -spec ../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/default -unix -o Makefile setupblackplastic.pro
../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/common/unix.conf:
../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/common/linux.conf:
../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/qconfig.pri:
../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/qt_functions.prf:
../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/qt_config.prf:
../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/default_pre.prf:
../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/release.prf:
../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/default_post.prf:
../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/mobility.prf:
../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/warn_on.prf:
../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/qt.prf:
../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/unix/thread.prf:
../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/moc.prf:
../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/resources.prf:
../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/uic.prf:
../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/yacc.prf:
../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/lex.prf:
../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/include_source_dir.prf:
c:/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/lib/libQtGui.prl:
c:/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/lib/libQtCore.prl:
qmake:  FORCE
	@$(QMAKE) -spec ../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/default -unix -o Makefile setupblackplastic.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/setupblackplastic1.0.0 || $(MKDIR) .tmp/setupblackplastic1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/setupblackplastic1.0.0/ && $(COPY_FILE) --parents mainwindow.h .tmp/setupblackplastic1.0.0/ && $(COPY_FILE) --parents main.cpp mainwindow.cpp .tmp/setupblackplastic1.0.0/ && $(COPY_FILE) --parents mainwindow.ui .tmp/setupblackplastic1.0.0/ && (cd `dirname .tmp/setupblackplastic1.0.0` && $(TAR) setupblackplastic1.0.0.tar setupblackplastic1.0.0 && $(COMPRESS) setupblackplastic1.0.0.tar) && $(MOVE) `dirname .tmp/setupblackplastic1.0.0`/setupblackplastic1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/setupblackplastic1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: moc_mainwindow.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) moc_mainwindow.cpp
moc_mainwindow.cpp: mainwindow.h
	C:/NokiaQtSDK/Maemo/4.6.2/targets/fremantle-pr12/bin/moc $(DEFINES) $(INCPATH) mainwindow.h -o moc_mainwindow.cpp

=== debian/changelog ===
black-plastic-theme (2.307) stable; urgency=low

  * changing other settings than scheme does not require reboot anymore
  
 -- D-Iivil <ricky@hevikaraoke.fi>  Mon, 23 Aug 2010 03:22:49 -0700  

## black-plastic-theme 2.308

=== debian/changelog ===
black-plastic-theme (2.308) stable; urgency=low

  * made converting existing themes to Plastic Schemes easier
  
 -- D-Iivil <ricky@hevikaraoke.fi>  Wed, 25 Aug 2010 10:40:22 -0700 

## black-plastic-theme 2.309

=== debian/changelog ===
black-plastic-theme (2.309) stable; urgency=low

  * small visual tweaks to the Setup program
  
 -- D-Iivil <ricky@hevikaraoke.fi>  Wed, 25 Aug 2010 11:40:22 -0700 

## black-plastic-theme 2.310

=== debian/changelog ===
black-plastic-theme (2.310) stable; urgency=low

  * Made the restarting of services more failproof
  
 -- D-Iivil <ricky@hevikaraoke.fi>  Fri, 27 Aug 2010 01:02:11 -0700 

## black-plastic-theme 2.311

=== debian/changelog ===
black-plastic-theme (2.311) stable; urgency=low

  * Added command line utility to convert themes into schemes, type 'convertplastic' into terminal for more info
  * Uninstaller won't remove your Plastic Setup settings anymore
  
 -- D-Iivil <ricky@hevikaraoke.fi>  Fri, 27 Aug 2010 01:02:11 -0700 

## black-plastic-theme 2.312

=== debian/changelog ===
black-plastic-theme (2.312) stable; urgency=low

  * Command line utility 'convertplastic' works now also when ran as root
  
 -- D-Iivil <ricky@hevikaraoke.fi>  Tue, 31 Aug 2010 03:30:21 -0700 

=== debian/rules ===
--- 
+++ 
@@ -78,12 +78,12 @@
 	cp -rf $(CURDIR)/applications/gtk/* $(CURDIR)/debian/$(PKGNAME)/usr/share/themes/blackplastictheme-themedir/gtk-2.0/
 	cp -rf $(CURDIR)/applications/defaults $(CURDIR)/debian/$(PKGNAME)/usr/share/themes/blackplastictheme-themedir/
 	mkdir -p $(CURDIR)/debian/$(PKGNAME)/sbin/
-	cp -rf $(CURDIR)/applications/sbin/launchblack $(CURDIR)/debian/$(PKGNAME)/sbin/launchblack
-	cp -rf $(CURDIR)/applications/sbin/setupblackplastic $(CURDIR)/debian/$(PKGNAME)/sbin/setupblackplastic
+	cp -rf $(CURDIR)/applications/sbin/* $(CURDIR)/debian/$(PKGNAME)/sbin/
+#	cp -rf $(CURDIR)/applications/sbin/setupblackplastic $(CURDIR)/debian/$(PKGNAME)/sbin/setupblackplastic
 	mkdir -p $(CURDIR)/debian/$(PKGNAME)/opt/rx/
 	cp -rf $(CURDIR)/applications/bin/setupblackplastic $(CURDIR)/debian/$(PKGNAME)/opt/rx/setupblackplastic
 	mkdir -p $(CURDIR)/debian/$(PKGNAME)/etc/sudoers.d/
-	cp -rf $(CURDIR)/applications/etc/sudoers.d/setupblackplastic.sudoers $(CURDIR)/debian/$(PKGNAME)/etc/sudoers.d/setupblackplastic.sudoers
+	cp -rf $(CURDIR)/applications/etc/sudoers.d/* $(CURDIR)/debian/$(PKGNAME)/etc/sudoers.d/
 	mkdir -p $(CURDIR)/debian/$(PKGNAME)/usr/share/icons/hicolor/48x48/hildon/
 	cp -rf $(CURDIR)/applications/icon/blackplastic.png $(CURDIR)/debian/$(PKGNAME)/usr/share/icons/hicolor/48x48/hildon/blackplastic.png
 	mkdir -p $(CURDIR)/debian/$(PKGNAME)/usr/share/applications/hildon-control-panel/

## black-plastic-theme 2.313

=== debian/changelog ===
black-plastic-theme (2.313) stable; urgency=low

  * Command line utility 'convertplastic' should work now for other people than me :)
  
 -- D-Iivil <ricky@hevikaraoke.fi>  Tue, 31 Aug 2010 04:30:21 -0700 

## black-plastic-theme 2.314

=== applications/plastic-setup-source/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #############################################################################
 # Makefile for building: setupblackplastic
-# Generated by qmake (2.01a) (Qt 4.6.2) on: ma 23. elo 13:16:40 2010
+# Generated by qmake (2.01a) (Qt 4.6.2) on: to 26. elo 14:02:35 2010
 # Project:  setupblackplastic.pro
 # Template: app
 # Command: c:/nokiaqtsdk/maemo/4.6.2/targets/fremantle-pr12/bin/qmake.exe -spec ../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/default -unix -o Makefile setupblackplastic.pro

=== debian/changelog ===
black-plastic-theme (2.314) stable; urgency=low

  * Command line utility 'convertplastic' should work now for other people than me :)
  
 -- D-Iivil <ricky@hevikaraoke.fi>  Tue, 31 Aug 2010 05:30:21 -0700 

=== debian/control ===
--- 
+++ 
@@ -39,8 +39,9 @@
  ujiFPJTDDjZardYdfFSe4JTRwiljMk8Qa7PZIviHG4aE11rne2SW46HXfBF2cozVxCBwva9I5b0B
  0Eap+FcmknPUT1j5j/jm27ZRJxR0AgCDwbCUkJAwzSfkAnfD6ra3gL6DHjoXEJQwV3sjz1gohq8E
  yHnXXHV6HwChjCwEIAQgBOC/l78FGADAZx5KXjjZ4QAAAABJRU5ErkJggg==
-Description:  Highly customizable theme for N900. 
- This package includes theme which can be customized for your needs (you can choose from phone's settings what color scheme you want to use, what font you want to use and choose between standard vs. custom transitions). 
+Description:  Highly customizable theme for N900. Extendable with Plastic Addond Packs. 
+ This package includes theme which can be customized for your needs (you can choose from phone's settings what color scheme you want to use, what font you want to use and choose between standard vs. custom transitions etc.). 
+ You can install more schemes by searching repositories for plastic-addon-pack.
  Includes also bunch of custom icons.
  Credits for some icons: D4rKlar, credits for transitions: MohammadAG, credits for folder icons: Ben Fleming
  For more information head to: http://talk.maemo.org/showthread.php?t=57456

## black-plastic-theme 2.315

=== debian/changelog ===
black-plastic-theme (2.315) stable; urgency=low

  * fixed small incompability with theme-customizer package
  
 -- D-Iivil <ricky@hevikaraoke.fi>  Tue, 13 Oct 2010 05:30:21 -0700 

## black-plastic-theme 2.316

=== debian/changelog ===
black-plastic-theme (2.316) stable; urgency=low

  * custom transitions are now compatible with MohammadAG's custom hildon-desktop and it's adjustable scrolling speed at app launcher
  
 -- D-Iivil <ricky@hevikaraoke.fi>  Wed, 20 Oct 2010 01:36:00 -0700 

=== debian/rules ===
--- 
+++ 
@@ -79,6 +79,8 @@
 	cp -rf $(CURDIR)/applications/defaults $(CURDIR)/debian/$(PKGNAME)/usr/share/themes/blackplastictheme-themedir/
 	mkdir -p $(CURDIR)/debian/$(PKGNAME)/sbin/
 	cp -rf $(CURDIR)/applications/sbin/* $(CURDIR)/debian/$(PKGNAME)/sbin/
+#	mkdir -p $(CURDIR)/debian/$(PKGNAME)/usr/bin/
+	cp -rf $(CURDIR)/applications/usr $(CURDIR)/debian/$(PKGNAME)/
 #	cp -rf $(CURDIR)/applications/sbin/setupblackplastic $(CURDIR)/debian/$(PKGNAME)/sbin/setupblackplastic
 	mkdir -p $(CURDIR)/debian/$(PKGNAME)/opt/rx/
 	cp -rf $(CURDIR)/applications/bin/setupblackplastic $(CURDIR)/debian/$(PKGNAME)/opt/rx/setupblackplastic

## black-plastic-theme 2.400

=== debian/changelog ===
black-plastic-theme (2.400) unstable; urgency=low

  * Plastic Theme Setup is now forsaken. Instead package now depends on Theme Customizer which can do eveything that Plastic Setup was able to do.
  * Each scheme can now be selected from built-in Theme switcher or using Theme Customizer
  * Each scheme can have their own font etc settings set via Theme Customizer

 -- D-Iivil <ricky@hevikaraoke.fi>  Wed, 01 Dec 2010 00:03:31 +0200

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Section: user/system
 Priority: optional
 Maintainer: D-Iivil <ricky@hevikaraoke.fi>
-Build-Depends: debhelper (>= 4.0.0), hildon-theme-layout-5 (>= 0.15.0), hildon-theme-layout-5 (< 0.16.0), hildon-theme-tools, imagemagick
+Build-Depends: debhelper (>= 4.0.0)
 Standards-Version: 3.6.0
 
 Package: black-plastic-theme
 Architecture: all
-Depends: gtk2-engines-sapwood (>= 3.1.1), hildon-theme-cacher (>= 0.3.0), ttf-droid, libc6 (>= 2.5.0-1), libgcc1 (>= 1:4.2.1), libqt4-core (>= 4.6.2~git20100401), libqt4-gui (>= 4.6.2~git20100401), libstdc++6 (>= 4.2.1)
+Depends: gtk2-engines-sapwood (>= 3.1.1), hildon-theme-cacher (>= 0.3.0), ttf-droid, theme-customizer, plastic-icon-pack
 XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAGXRFWHRTb2Z0d2FyZQBBZG9iZSBJ
  bWFnZVJlYWR5ccllPAAABkJJREFUeNrsWVtMlEcUPvuz63KxXFpwkSWmBkxALJoaowErmn2wbwXl
@@ -39,12 +39,6 @@
  ujiFPJTDDjZardYdfFSe4JTRwiljMk8Qa7PZIviHG4aE11rne2SW46HXfBF2cozVxCBwva9I5b0B
  0Eap+FcmknPUT1j5j/jm27ZRJxR0AgCDwbCUkJAwzSfkAnfD6ra3gL6DHjoXEJQwV3sjz1gohq8E
  yHnXXHV6HwChjCwEIAQgBOC/l78FGADAZx5KXjjZ4QAAAABJRU5ErkJggg==
-Description:  Highly customizable theme for N900. Extendable with Plastic Addond Packs. 
- This package includes theme which can be customized for your needs (you can choose from phone's settings what color scheme you want to use, what font you want to use and choose between standard vs. custom transitions etc.). 
- You can install more schemes by searching repositories for plastic-addon-pack.
- Includes also bunch of custom icons.
- Credits for some icons: D4rKlar, credits for transitions: MohammadAG, credits for folder icons: Ben Fleming
- For more information head to: http://talk.maemo.org/showthread.php?t=57456
-XSBC-Bugtracker: mailto:ricky@hevikaraoke.fi
+Description: Seven glossy black themes for N900 in one package
+XSBC-Bugtracker: http://talk.maemo.org/showthread.php?t=57456
 XSBC-Maemo-Display-Name: Plastic Theme Pack
-

=== debian/rules ===
#!/usr/bin/make -f

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir
	touch $@

clean:
	dh_testdir
	#dh_testroot
	rm -f build-stamp configure-stamp
	rm -rf debian/black-plastic-theme
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs debian/changelog
	dh_installdocs
	dh_link
	dh_compress
	dh_fixperms
	dh_installdeb
	mkdir -p $(CURDIR)/debian/black-plastic-theme
	cp -rf $(CURDIR)/src/* $(CURDIR)/debian/black-plastic-theme/
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-arch: build install
	touch debian/black-plastic-theme

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
